Bug 500493 (CVE-2009-1376) - CVE-2009-1376 pidgin incomplete fix for CVE-2008-2927
Summary: CVE-2009-1376 pidgin incomplete fix for CVE-2008-2927
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1376
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://web.nvd.nist.gov/view/vuln/det...
Whiteboard: impact=important,source=pidgin,report...
Depends On: 500494 500495 500496 500497 500500 502578 833958
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-12 22:08 UTC by Josh Bressers
Modified: 2019-06-08 12:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-06-09 07:13:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1059 normal SHIPPED_LIVE Important: pidgin security update 2009-05-22 12:08:19 UTC
Red Hat Product Errata RHSA-2009:1060 normal SHIPPED_LIVE Important: pidgin security update 2009-05-22 12:09:59 UTC

Description Josh Bressers 2009-05-12 22:08:18 UTC
The integer overflow fix for CVE-2008-2927 was incomplete on 32 bit
platforms. If a Pidgin user can receive a specially crafted MSN message,
it may be possible to execute arbitrary code with the permissions of the
user running Pidgin.

This flaw is only exploitable by individuals who can message a user, which
is controlled by the Pidgin privacy setting.  The default setting is to
only allow messages from users in the buddy list.

Comment 4 Jan Lieskovsky 2009-05-22 08:08:00 UTC
Link to upstream advisory:

http://www.pidgin.im/news/security//?id=32

Comment 5 errata-xmlrpc 2009-05-22 12:09:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1059 https://rhn.redhat.com/errata/RHSA-2009-1059.html

Comment 6 errata-xmlrpc 2009-05-22 12:10:00 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1059 https://rhn.redhat.com/errata/RHSA-2009-1059.html

Comment 7 errata-xmlrpc 2009-05-22 12:10:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1060 https://rhn.redhat.com/errata/RHSA-2009-1060.html

Comment 9 Fedora Update System 2009-05-26 14:31:21 UTC
pidgin-2.5.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pidgin-2.5.6-1.fc9

Comment 10 Fedora Update System 2009-06-02 14:26:27 UTC
pidgin-2.5.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-06-02 14:28:28 UTC
pidgin-2.5.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-06-02 14:33:31 UTC
pidgin-2.5.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Tomas Hoger 2009-06-09 07:11:56 UTC
ZDI advisory:
  http://www.zerodayinitiative.com/advisories/ZDI-09-031/


Note You need to log in before you can comment on or make changes to this bug.